$ErrorActionPreference = 'Stop';

$packageName= 'invantive-query-tool'

$packageArgs = @{
  packageName = $packageName
  fileType = 'MSI'
  url = 'https://download.invantive.com/release/msi/Invantive%20Query%20Tool-17.32.210.msi'
  url64bit = 'https://download.invantive.com/release/msi/Invantive%20Query%20Tool-17.32.210.msi'
  softwareName = 'Invantive Query Tool'
  checksum = '21DCF608A400666908055362EB37D5CD5EB92CB3CE5BE198AA103066A3732BDE'
  checksumType = 'sha256'
  checksum64 = '21DCF608A400666908055362EB37D5CD5EB92CB3CE5BE198AA103066A3732BDE'
  checksumType64 = 'sha256'
  silentArgs = "/qn /norestart /l*v `"$env:Temp\invantive-query-tool-17.32.210-msi-install.log`""
  validExitCodes = @(0, 3010, 1641)
}

Install-ChocolateyPackage @packageArgs
